SSbiexp {nls} | R Documentation

## Biexponential model

### Description

This `selfStart` model evaluates the biexponential model function and its gradient. It has an `initial` attribute that creates initial estimates of the parameters `A1`, `lrc1`, `A2`, and `lrc2`.

### Usage

    SSbiexp(input, A1, lrc1, A2, lrc2)

### Arguments

`input` | a numeric vector of values at which to evaluate the model.
`A1` | a numeric parameter representing the multiplier of the first exponential.
`lrc1` | a numeric parameter representing the natural logarithm of the rate constant of the first exponential.
`A2` | a numeric parameter representing the multiplier of the second exponential.
`lrc2` | a numeric parameter representing the natural logarithm of the rate constant of the second exponential.

### Value

a numeric vector of the same length as `input`. It is the value of the expression `A1*exp(-exp(lrc1)*input)+A2*exp(-exp(lrc2)*input)`. If all of the arguments `A1`, `lrc1`, `A2`, and `lrc2` are names of objects, the gradient matrix with respect to these names is attached as an attribute named `gradient`.

### Author(s)

Jose Pinheiro and Douglas Bates

### See Also

`nls`, `selfStart`

### Examples

    library( nls )
    data( Indometh )
    Indo.1 <- Indometh[Indometh$Subject == 1, ]
    SSbiexp( Indo.1$time, 3, 1, 0.6, -1.3 )  # response only
    A1 <- 3; lrc1 <- 1; A2 <- 0.6; lrc2 <- -1.3
    SSbiexp( Indo.1$time, A1, lrc1, A2, lrc2 ) # response and gradient
    getInitial(conc ~ SSbiexp(time, A1, lrc1, A2, lrc2), data = Indo.1)
    ## Initial values are in fact the converged values
    fm1 <- nls(conc ~ SSbiexp(time, A1, lrc1, A2, lrc2), data = Indo.1)
    summary(fm1)

[Package Contents]